package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.EnumMenuItem;

import java.util.List;

/**
 * EnumMenuItemService接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface IEnumMenuItemService {
    /**
     * 查询EnumMenuItem
     *
     * @param itemNo EnumMenuItemID
     * @return EnumMenuItem
     */
    public EnumMenuItem selectEnumMenuItemById(Long itemNo);

    /**
     * 查询EnumMenuItem列表
     *
     * @param enumMenuItem EnumMenuItem
     * @return EnumMenuItem集合
     */
    public List<EnumMenuItem> selectEnumMenuItemList(EnumMenuItem enumMenuItem);

    EnumMenuItem selectEnumMenuItemByMenuNo(Long menuNo, Long itemNo);

    List<EnumMenuItem> selectEnumMenuItemByMenuNoList(Long menuNo);
}
